Summary:	A library of functions for manipulating PNG image format files.
Name:		libpng
Group:		System Environment/Libraries
License:	Distributable
Version:	1.2.8
Release:	2
Source0:	http://www.libpng.org/pub/png/src/libpng-%{version}.tar.bz2
Patch0:		libpng-1.2.5-Makefile-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{release}-root
#Provides:	libpng.so.2

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG
is a bit-mapped graphics format similar to the GIF format.  PNG was
created to replace the GIF format, since GIF uses a patented data
compression algorithm.

%files
  %defattr(-,root,root)
  %doc *.txt example.c README TODO CHANGES
  %doc %{_mandir}/man5/*

  %defattr(0555,root,root)
  %{_libdir}/libpng.so.3.%{version}
  %{_libdir}/libpng.so.3
  %{_libdir}/libpng12.so.0.%{version}
  %{_libdir}/libpng12.so.0

%package devel
Summary:	Development tools for programs to manipulate PNG image format files.
Group:		Development/Libraries
Requires:	libpng = %{version}-%{release}

%description devel
The libpng-devel package contains the header files and static
libraries necessary for developing programs using the PNG (Portable
Network Graphics) library.

%files devel
  %defattr(-,root,root)
  %doc %{_mandir}/man?/*

  %defattr(0555,root,root)
  %{_bindir}/libpng-config
  %{_bindir}/libpng12-config
  %{_libdir}/libpng.so
  %{_libdir}/libpng12.so

  %defattr(-,root,root)
  %{_includedir}/*
  %{_libdir}/libpng.a
  %{_libdir}/libpng12.a
  %{_libdir}/pkgconfig/*

%prep
%setup -q
%patch0 -p1
  ln -s scripts/makefile.linux ./Makefile

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" MANPATH=%{_mandir} %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir}/libpng12
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man3
  mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man5

  make install prefix=$RPM_BUILD_ROOT/%{_prefix} mandir=$RPM_BUILD_ROOT/%{_mandir} LIBPATH=$RPM_BUILD_ROOT/%{_libdir}
  install -c -m 644 *.3 $RPM_BUILD_ROOT/%{_mandir}/man3
  install -c -m 644 *.5 $RPM_BUILD_ROOT/%{_mandir}/man5

%post   -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jul 26 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.2.8, Release 2
  - Use LIBPATH so 64bit libs end up in the right place.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 1.2.8, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
